LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
InputSequenceChecker Service Referencepublished

Check input sequence of CTL languages like Thai or Hindi. More...

`import"InputSequenceChecker.idl";`

Inheritance diagram for InputSequenceChecker:

## Additional Inherited Members
Public Member Functions inherited from XExtendedInputSequenceChecker
long | correctInputSequence ([inout] string aText, [in] long nPos, [in] char cInputChar, [in] short nInputCheckMode)
Public Member Functions inherited from XInputSequenceChecker
boolean | checkInputSequence ([in] string aText, [in] long nPos, [in] char cInputChar, [in] short nInputCheckMode)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Check input sequence of CTL languages like Thai or Hindi.

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/i18n/InputSequenceChecker.idl